VERSION 4.00
Begin VB.Form BkModeForm 
   AutoRedraw      =   -1  'True
   Caption         =   "Background Mode"
   ClientHeight    =   2730
   ClientLeft      =   2415
   ClientTop       =   2400
   ClientWidth     =   4155
   Height          =   3420
   Left            =   2355
   LinkTopic       =   "Form1"
   ScaleHeight     =   182
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   277
   Top             =   1770
   Width           =   4275
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
End
Attribute VB_Name = "BkModeForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit


Private Sub Form_Resize()
Dim pen As Integer
Dim old_pen As Integer
Dim brush As Integer
Dim old_brush As Integer
Dim old_mode As Integer
Dim old_color As Long
Dim s As Integer
Dim i As Integer
Dim j As Integer
Dim start_j As Integer

    Cls
    
    ' Create a checkerboard background.
    For i = 0 To ScaleHeight - 1 Step 10
        For j = start_j To ScaleWidth - 1 Step 20
            Line (j, i)-Step(10, 10), vbBlack, BF
        Next j
        start_j = 10 - start_j
    Next i
        
    ' Create a dotted blue pen with width 1.
    pen = CreatePen(PS_DOT, 1, vbBlue)
    ' Select the pen remembering the old one.
    old_pen = SelectObject(hDC, pen)
    
    ' Create the brush.
    brush = CreateHatchBrush(HS_BDIAGONAL, vbMagenta)
    ' Select the brush remembering the old one.
    old_brush = SelectObject(hDC, brush)
    
    ' ***************
    ' * TRANSPARENT *
    ' ***************
    ' Set background mode to TRANSPARENT.
    old_mode = SetBkMode(hDC, TRANSPARENT)
    
    ' Draw an ellipse.
    s = Ellipse(hDC, 10, 10, ScaleWidth / 2 - 5, ScaleHeight - 10)
    
    ' **********
    ' * OPAQUE *
    ' **********
    ' Set background mode to OPAQUE.
    s = SetBkMode(hDC, OPAQUE)
    ' Set background color to white.
    old_color = SetBkColor(hDC, vbWhite)
    
    ' Draw an ellipse.
    s = Ellipse(hDC, ScaleWidth / 2 + 5, 10, ScaleWidth - 10, ScaleHeight - 10)
    
    ' * Cleanup *
    ' Select the old pen.
    pen = SelectObject(hDC, old_pen)
    ' Delete the new pen to free its resources.
    s = DeleteObject(pen)
    
    ' Select the old brush.
    brush = SelectObject(hDC, old_brush)
    ' Delete the new brush to free its resources.
    s = DeleteObject(brush)
    
    ' Restore the original background mode and color.
    old_mode = SetBkMode(hDC, old_mode)
    old_color = SetBkColor(hDC, old_color)
    
    Refresh
End Sub

Private Sub mnuFileExit_Click()
    Unload Me
End Sub


