Attribute VB_Name = "Poly"
Option Explicit

#If Win32 Then
    Type POINTAPI
        x As Long
        y As Long
    End Type
    
    Declare Function Polyline Lib "gdi32" ( _
        ByVal hdc As Long, lpPoint As POINTAPI, _
        ByVal nCount As Long) As Long
    
    Declare Function Polygon Lib "gdi32" ( _
        ByVal hdc As Long, lpPoint As POINTAPI, _
        ByVal nCount As Long) As Long
    
    Declare Function PolyPolygon Lib "gdi32" ( _
        ByVal hdc As Long, lpPoint As POINTAPI, _
        lpPolyCounts As Long, _
        ByVal nCount As Long) As Long
#Else
    Type POINTAPI
        x As Integer
        y As Integer
    End Type
    
    Declare Function Polyline Lib "GDI" ( _
        ByVal hdc As Integer, lpPoints As POINTAPI, _
        ByVal nCount As Integer) As Integer
    
    Declare Function Polygon Lib "GDI" ( _
        ByVal hdc As Integer, lpPoints As POINTAPI, _
        ByVal nCount As Integer) As Integer
    
    Declare Function PolyPolygon Lib "GDI" ( _
        ByVal hdc As Integer, lpPoints As POINTAPI, _
        lpPolyCounts As Integer, ByVal nCount As Integer) As Integer
#End If

